%define name    pdfedit
%define version 0.4.5
%define release	%mkrel 1
%define summary Editor for manipulating PDF documents
%define section Office/Publishing

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
URL:            http://pdfedit.petricek.net/
License:        GPL
Group:          Publishing
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:	qt3-devel, libboost-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot 
Requires: 	qt3


%description
Complete editing of pdf documents is easy with PDFedit.
You can change either raw pdf objects (for advanced users)
or use predefined gui functions.

%prep
rm -rf %{buildroot}
%setup -q

%build
export QTDIR=/usr/lib/qt3
export QMAKESPEC=/usr/lib/qt3/mkspecs/linux-g++-32
%configure2_5x
%make

%install
rm -rf %{buildroot}
install -d -m 0755 $%{buildroot}{%{_bindir},%{_libdir},%{_datadir}}
export QTDIR=/usr/lib/qt3
export QMAKESPEC=/usr/lib/qt3/mkspecs/linux-g++-32
%make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%name): \
command="%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="PDFedit" \
longtitle="%{summary}"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=PDFedit
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-pdf;application/pdf;
Categories=KDE;Qt;X-MandrivaLinux-Office-Publishing
EOF

mkdir -p %{buildroot}%{_iconsdir}/{mini,large}
install -m644 src/gui/icon/pdfedit_icon_32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m644 src/gui/icon/pdfedit_icon_16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m644 src/gui/icon/pdfedit_icon_48.png %{buildroot}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_menudir}/%{name}
%{_datadir}/doc/%{name}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/pclinuxos-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sat May 29 2010 kjpetrie <pclos dot bugs at instabook dot com> 0.4.2-1pclos2007
- new version 0.4.5

* Tue Aug 11 2009 siamer <siamer@wp.pl> 0.4.3-1pclos2009
- new version 0.4.3

* Thu Jul 09 2009 kjpetrie <pclos dot bugs at instabook dot com> 0.4.2-1pclos2007
- new version 0.4.2 to cure illegal conversion to scientific notation in previous version

* Sat Apr 05 2008 P. K. Frederic <pkfric@yahoo.com> 0.4.1-1pclos2007
- code cleaning
- new version 0.4.1

* Fri Mar 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.3-2
- Rebuild for pclos2007

* Fri Jan 19 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2.3-1.2007mcnl
first build for mandrivaclub.nl


